package quant.rich.emoney.pojo.dto;

import java.util.List;

import lombok.Data;
import lombok.experimental.Accessors;

public interface IndexDetail {
    
    /**
     * 设置原始文本内容
     * @param original
     */
    public void setOriginal(String original);
    
    /**
     * 获取原始 json 文本内容
     * @return
     */
    public String getOriginal();
    
    /**
     * 获取 indexName
     * @return
     */
    public String getIndexName();
    
    /**
     * 获取 indexCode
     * @return
     */
    public String getIndexCode();
    
    /**
     * 详情接口
     * @return
     */
    public List<Detail> getDetails();
    
    /**
     * 清洗 HTML 内容
     */
    public void sanitize();
    
    
    @Data
    @Accessors(chain=true)
    public static class Detail {
        private String content;
        private DetailType type;
    }
    
    public static enum DetailType {
        TITLE,
        TEXT,
        IMAGE
    }

}
